Package org.eclipse.emf.cdo.server

## Interface IRepositoryFactory

- All Known Implementing Classes:
    `RepositoryFactory`

      public interface IRepositoryFactory

  Creates CDO `repositories`.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PRODUCT_GROUP` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IRepository` | `createRepository()` |
    `java.lang.String` | `getRepositoryType()` |

- - ### Field Detail

    - #### PRODUCT_GROUP

          static final java.lang.String PRODUCT_GROUP

      Since:
        2.0
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRepositoryType

          java.lang.String getRepositoryType()

    - #### createRepository

          IRepository createRepository()